Subject: bug#20897: 25.0.50; [python] sexp-movement are confusing

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 04 Feb 2022 00:22:56 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> As for the other points here -- that C-M-<right> at 4 shouldn't move to
> 1 -- I think that would be pretty surprising.  That is, these commands
> (try to) move by semantic unit, which is ambiguous in languages like
> Python, so people have differing opinions.  But as far as I can tell,
> python-mode here works as designed, so I'm therefore closing this bug
> report.

FWIW, 28.1 introduces python-forward-sexp-function, which can be set to
nil to have something that is, quoting the Custom tag, more "CC-mode
like".

For older versions, the commentary of python.el suggests an equivalent
way to tweak sexp movement.

I haven't checked if this option satisfies all of the OP's expectations;
still, I figured it was worth mentioning in this thread FTR.